## Loops when the lobby is active

# Join teams from the signs
execute as @a[scores={teamJoin=1..}] run function votk:teams/team_join

# Run options from the signs
execute as @a[scores={options=1..}] run function votk:core/options

# Join teams from the hardened clay (sorry, "stained terracotta")
execute as @a[team=!Egyptians] at @s if block ~ ~-1 ~ blue_terracotta run function votk:teams/join_egypt
execute as @a[team=!Archaeologists] at @s if block ~ ~-1 ~ red_terracotta run function votk:teams/join_archaeologist
execute as @a[team=!Spectators] at @s if block ~ ~-1 ~ light_gray_terracotta run function votk:teams/join_spectators
execute as @a[team=!Lobby] at @s if block ~ ~-1 ~ white_terracotta run function votk:teams/join_lobby

# Team particles
particle falling_dust blue_concrete 235 207 -1 0.25 1 1.75 10 2 normal
particle falling_dust red_concrete 205 207 -1 0.25 1 1.75 10 2 normal
particle falling_dust white_concrete 220 209 16 1.75 1 0.25 10 2 normal
particle falling_dust light_gray_concrete 225 208 -19 0.75 1 0.25 10 1 normal
particle falling_dust light_gray_concrete 215 208 -19 0.75 1 0.25 10 1 normal

# Firework countdown
execute if score Archaeologists Captures matches 1.. if score fireworks timer matches 40 run function votk:veffects/red_fireworks
execute if score Archaeologists Captures matches 1.. if score fireworks timer matches 20 run function votk:veffects/red_fireworks
execute if score Archaeologists Captures matches 1.. if score fireworks timer matches 0 run function votk:veffects/red_fireworks

execute if score Archaeologists Captures matches ..-1 if score fireworks timer matches 40 run function votk:veffects/blue_fireworks
execute if score Archaeologists Captures matches ..-1 if score fireworks timer matches 20 run function votk:veffects/blue_fireworks
execute if score Archaeologists Captures matches ..-1 if score fireworks timer matches 0 run function votk:veffects/blue_fireworks

execute if score fireworks timer matches 0 run scoreboard players reset fireworks timer
execute if score fireworks timer matches 0.. run scoreboard players remove fireworks timer 1