## Ends the game. Duh.
# Run by game_countdown when secondsLeft reaches 0

# Send the players back to said lobby (and set spawn)
tp @a 220 204 -1
spawnpoint @a 220 204 -1

# Set the GM of the spectators (latecomers will be caught by the rejoin function)
# (Can just do this to everyone for optimization)
gamemode adventure @a

# Clear inventory
clear @a

# Reset the player scoreboards and tags (probably not needed, do it anyway just in case)
scoreboard players reset @a teamJoin
scoreboard players enable @a teamJoin
scoreboard players reset @a options
scoreboard players enable @a options
tag @a remove hasElytra
scoreboard players reset * flying
scoreboard objectives remove resEffCountdown

# Update the gameCounter
scoreboard players add gameCounter timer 1
scoreboard players operation @a gameCounter = gameCounter timer

# Swap from gameplay effects to lobby effects
effect clear @a speed
effect give @a resistance 1000000 1 true
effect give @a weakness 1000000 1 true



# Clone the signs
clone 219 202 -19 221 202 -19 219 207 -21
clone 219 202 -18 219 202 -18 216 206 -1
clone 221 202 -18 221 202 -18 224 206 -1
clone 220 202 -18 220 202 -18 220 207 20



## Clear out some elytra-related stuff
kill @e[tag=elytra]
kill @e[type=end_crystal]
scoreboard players reset elytraRespawn timer
scoreboard players reset elytraRespawn2 timer



# Deal with the AIs
scoreboard players reset @e[tag=AIspawnpoint] AIrespawn
kill @e[tag=AI]





# Change gameState to "lobby"
scoreboard players set gameState timer 0

# Clear the sidebar
scoreboard objectives setdisplay sidebar Captures2

# Clear sounds (probably wind)
stopsound @a ambient



## Calculate the player(s) with the most personal captures
# Copy over the scores
scoreboard objectives add Captures3 dummy
execute as @a run scoreboard players operation @s Captures3 = @s Captures2

# Set mostCaps to the highest number of captures
scoreboard players set mostCaps timer 0
scoreboard players operation mostCaps timer > @a Captures2

# Subtract
scoreboard players operation @a Captures3 -= mostCaps timer

# If nobody got any captures, shame on them all
execute if score mostCaps timer matches 0 run tellraw @a {"text":"No captures were made!","color":"gold"}

# If someone got captures, name them!
# One for singular, one for plural
execute if score mostCaps timer matches 1.. if entity @a[scores={Captures3=0,Captures2=1}] run tellraw @a [{"selector":"@a[scores={Captures3=0}]"},{"text":" had the most captures, with ","color":"gold"},{"score":{"name":"@a[scores={Captures3=0},limit=1]","objective":"Captures2"},"color":"gold","bold":"true"},{"text":" capture!","color":"gold"}]
execute if score mostCaps timer matches 1.. if entity @a[scores={Captures3=0,Captures2=2..}] run tellraw @a [{"selector":"@a[scores={Captures3=0}]"},{"text":" had the most captures, with ","color":"gold"},{"score":{"name":"@a[scores={Captures3=0},limit=1]","objective":"Captures2"},"color":"gold","bold":"true"},{"text":" captures!","color":"gold"}]

# Get rid of Captures3, it has outlived its usefulness
scoreboard objectives remove Captures3



## Figure out which team won
scoreboard players operation Archaeologists Captures -= Egyptians Captures
# If Archaeologists is negative, they lost.  If positive, they won. If zero, they tied.

# Set title times
title @a times 10 100 20

# Clear the subtitle
title @a subtitle {"text":""}

# If Archaeologists won
execute if score Archaeologists Captures matches 1.. run title @a title {"text":"Archaeologists win!","color":"dark_red"}
execute if score Archaeologists Captures matches 1.. run scoreboard players set fireworks timer 60
execute if score Archaeologists Captures matches 1.. as @a at @s run playsound music_disc.blocks record @s ~ ~1000 ~ 100 1.7

# If it's a draw
execute if score Archaeologists Captures matches 0 run title @a title {"text":"Draw!","color":"gold"}
execute if score Archaeologists Captures matches 0 as @a at @s run playsound music_disc.chirp record @s ~ ~1000 ~ 100 1

# If Egyptians won
execute if score Archaeologists Captures matches ..-1 run title @a title {"text":"Egyptians win!","color":"blue"}
execute if score Archaeologists Captures matches ..-1 run scoreboard players set fireworks timer 60
execute if score Archaeologists Captures matches ..-1 as @a at @s run playsound music_disc.wait record @s ~ ~1000 ~ 100 1.7



## Reset flags
kill @e[tag=redFlag]
kill @e[tag=blueFlag]
tag @a remove hasRedFlag
tag @a remove hasBlueFlag



# Leftovers
#execute @e[tag=switchAIGame] ~ ~ ~ summon area_effect_cloud ~ ~ ~ {Tags:["delayImp"],Age:-2}
#scoreboard players set @e[type=area_effect_cloud,score_AIspawnNumber=5] AIrespawn 601