## Runs at 1hz during the game

# Not related to the countdown, but AI resistance effect
effect give @e[tag=AI] resistance 10 5 true

# Print messages in chat at key points
execute if score secondsLeft timer matches 60 run tellraw @a {"text":"One minute until game ends!","color":"gold"}
execute if score secondsLeft timer matches 30 run tellraw @a {"text":"Thirty seconds until game ends!","color":"gold"}
#execute if score secondsLeft timer matches 5 run tellraw @a {"text":"5 seconds until game ends...","color":"gold"}
#execute if score secondsLeft timer matches 4 run tellraw @a {"text":"4...","color":"gold"}
#execute if score secondsLeft timer matches 3 run tellraw @a {"text":"3...","color":"gold"}
#execute if score secondsLeft timer matches 2 run tellraw @a {"text":"2...","color":"gold"}
#execute if score secondsLeft timer matches 1 run tellraw @a {"text":"1...","color":"gold"}
#execute if score secondsLeft timer matches 0 run tellraw @a {"text":"Game has ended!","color":"gold"}

# Subtitles too
execute if score secondsLeft timer matches 5 run title @a subtitle {"text":"Game will end in 5...","color":"gold"}
execute if score secondsLeft timer matches 5 run title @a title {"text":""}

execute if score secondsLeft timer matches 4 run title @a subtitle {"text":"4...","color":"gold"}
execute if score secondsLeft timer matches 4 run title @a title {"text":""}

execute if score secondsLeft timer matches 3 run title @a subtitle {"text":"3...","color":"gold"}
execute if score secondsLeft timer matches 3 run title @a title {"text":""}

execute if score secondsLeft timer matches 2 run title @a subtitle {"text":"2...","color":"gold"}
execute if score secondsLeft timer matches 2 run title @a title {"text":""}

execute if score secondsLeft timer matches 1 run title @a subtitle {"text":"1...","color":"gold"}
execute if score secondsLeft timer matches 1 run title @a title {"text":""}


# Run the sound if the timer is in the right range
execute if score secondsLeft timer matches 1..5 as @a at @s run playsound entity.experience_orb.pickup master @s


# Calculate for the timer display
scoreboard players operation secondDisplay timer = secondsLeft timer
scoreboard players operation secondDisplay timer %= 60 constants

scoreboard players operation minuteDisplay timer = secondsLeft timer
scoreboard players operation minuteDisplay timer /= 60 constants

# Timer display
title @a times 5 15 5
title @a title {"text":""}
title @a subtitle {"text":""}
execute if score minuteDisplay timer matches 10.. if score secondDisplay timer matches 10.. run title @a actionbar [{"bold":"true","score":{"name":"minuteDisplay","objective":"timer"}},{"text":":"},{"score":{"name":"secondDisplay","objective":"timer"}}]
execute if score minuteDisplay timer matches ..9 if score secondDisplay timer matches 10.. run title @a actionbar [{"bold":"true","text":"0"},{"bold":"true","score":{"name":"minuteDisplay","objective":"timer"}},{"text":":"},{"score":{"name":"secondDisplay","objective":"timer"}}]
execute if score minuteDisplay timer matches 10.. if score secondDisplay timer matches ..9 run title @a actionbar [{"bold":"true","score":{"name":"minuteDisplay","objective":"timer"}},{"text":":0"},{"score":{"name":"secondDisplay","objective":"timer"}}]
execute if score minuteDisplay timer matches ..9 if score secondDisplay timer matches ..9 run title @a actionbar [{"bold":"true","text":"0"},{"bold":"true","score":{"name":"minuteDisplay","objective":"timer"}},{"text":":0"},{"score":{"name":"secondDisplay","objective":"timer"}}]

# If the game's over, end the game
execute if score secondsLeft timer matches 0 run function votk:progress/end_game

# If there's no players left online, end the game
execute unless entity @a[team=Egyptians] unless entity @a[team=Archaeologists] run function votk:progress/end_game

# Also respawn the elytra if needed
execute if score elytraRespawn timer matches ..0 run function votk:elytra/spawn_elytra_prep

# Decrease the countdown
scoreboard players remove secondsLeft timer 1
execute if score elytraRespawn timer matches 1.. run scoreboard players remove elytraRespawn timer 1

scoreboard players remove @a[scores={resEffCountdown=1..}] resEffCountdown 1
effect give @a[scores={resEffCountdown=..0}] speed 1000000 1 true
scoreboard players reset @a[scores={resEffCountdown=..0}] resEffCountdown